import React, {ReactElement} from "react";

import SidebarProvider from "./helpers/SidebarProvider";
import UserProvider from "./shared/UserProvider";
import FilterSelectionProvider from "./helpers/FilterSelectionProvider";
import ChartContainerProvider from "./helpers/ChartContainerProvider";
import PreviewProvider from "./helpers/PreviewProvider";


function Providers({ children }): ReactElement {
    return (
        <SidebarProvider>
            <UserProvider>
                <FilterSelectionProvider>
                    <ChartContainerProvider>
                        <PreviewProvider>
                            {children}
                        </PreviewProvider>
                    </ChartContainerProvider>
                </FilterSelectionProvider>
            </UserProvider>
        </SidebarProvider>
    );
}

export default Providers;
