import React from "react";

function ColorBadgeService({ year, active, serviceInfo}) {

  let tooltip_text = "No additional information available";
  if (serviceInfo !== undefined ) {
    let name = serviceInfo['product_name'];
    let desc = serviceInfo['official_description'];
    let info = serviceInfo['additional_information'];
    if (name != "" || desc != "" || info != "") {
      name = name || "N/A";
      desc = desc || "N/A";
      info = info || "N/A";
      tooltip_text = "Name: " + name + "\n" + "Description: " + desc + "\n" + "Information: " + info;
    }
  }

  return (
    <div className="d-inline-block" key={year}>
      {active ? (
        <div
          data-description={tooltip_text}
          className={`rounded-pill color-of-the-year-${year % 9} bottom-tooltip`}
          style={{ width: "30px", height: "30px", margin: "2px" }}
        > </div>
      ) : (
        <div
          className={`rounded-pill color-of-the-year-blank`}
          style={{ width: "30px", height: "30px", margin: "2px" }}
        > </div>
      )}
    </div>
  );
}

export default ColorBadgeService;