import React, { ReactElement } from "react";
import { Container, Row, Col } from "react-bootstrap";
import GeantLogo from "../../images/geant_logo_colored.svg";
import EULogo from "../../images/eu_logo.png";



function GeantFooter(): ReactElement {
    return <footer className="page-footer pt-3">
        <Container>
            <Row>
                <Col>
                    <a href="https://geant.org">
                        <img src={GeantLogo} className="m-3" style={{maxWidth: "100px"}}/>
                    </a>
                    <img src={EULogo} className="m-3" style={{maxWidth: "200px"}}/>
                </Col>
                <Col className="mt-4 text-end">
                    <span>
                        <a className="mx-3 footer-link" href="https://geant.org/Policies/">Cookies</a>
                        <wbr/>|
                        <a className="mx-3 footer-link" href="https://geant.org/Disclaimer/">Disclaimer</a>
                        <wbr/>|
                        <a className="mx-3 footer-link" href="https://geant.org/geant-anti-slavery-policy/">GEANT&nbsp;Anti&#8209;Slavery&nbsp;Policy</a>
                        <wbr/>|
                        <a className="mx-3 footer-link" href="https://geant.org/Privacy-Notice/">Privacy&nbsp;Policy</a>
                    </span>
                </Col>
            </Row>
        </Container>
    </footer>;
}

export default GeantFooter