import React, { ReactElement } from 'react';
import { Bar } from 'react-chartjs-2';


import {
    Chart as ChartJS,
    CategoryScale,
    LinearScale,
    BarElement,
    Title,
    Tooltip,
    Legend,
} from 'chart.js';
import {BasicDataset} from "../../Schema";


ChartJS.register(
    CategoryScale,
    LinearScale,
    BarElement,
    Title,
    Tooltip,
    Legend
);

function BarGraph(data: BasicDataset): ReactElement {
    return (
        <Bar data={data} options={{}} />
    );
}

export default BarGraph;
