import React, { useContext, ReactNode } from 'react';
import { ChartContainerContext } from '../../helpers/ChartContainerProvider';

interface ChartContainerProps {
    children: ReactNode;
}

const ChartContainer: React.FC<ChartContainerProps> = ({ children }) => {
    const containerRef = useContext(ChartContainerContext);

    return (
        <div ref={containerRef}>
            {children}
        </div>
    );
};

export default ChartContainer;
