import React, { Dispatch, SetStateAction, createContext, useState } from 'react';
import { FilterSelection } from '../Schema';

interface Props {
    children: React.ReactNode;
}

const FilterSelectionContext = createContext<{
    filterSelection: FilterSelection;
    setFilterSelection: Dispatch<SetStateAction<FilterSelection>>;
}>({
    filterSelection: { selectedYears: [], selectedNrens: [] },
    setFilterSelection: () => { }
});


const FilterSelectionProvider: React.FC<Props> = ({ children }) => {
    const [filterSelection, setFilterSelection] = useState<FilterSelection>({ selectedYears: [], selectedNrens: [] });

    return (
        <FilterSelectionContext.Provider value={{ filterSelection, setFilterSelection }}>
            {children}
        </FilterSelectionContext.Provider>
    );
};

export { FilterSelectionContext };
export default FilterSelectionProvider;