import React, { Dispatch, SetStateAction, createContext, useState } from 'react';

interface Props {
    children: React.ReactNode;
}

const PreviewContext = createContext<{
    preview: boolean;
    setPreview: Dispatch<SetStateAction<boolean>>;
}>({
    preview: false,
    setPreview: () => {}
});


const PreviewProvider: React.FC<Props> = ({ children }) => {
    const [preview, setPreview] = useState<boolean>(false);

    return (
        <PreviewContext.Provider value={{ preview, setPreview }}>
            {children}
        </PreviewContext.Provider>
    );
};

export { PreviewContext };
export default PreviewProvider;