import React, { createContext, useState } from 'react';

interface Props {
    children: React.ReactNode;
}

const sidebarContext = createContext<{
    show: boolean;
    toggle: () => void;
}>({
    show: false,
    toggle: () => { }
});


const SidebarProvider: React.FC<Props> = ({ children }) => {
    const [show, setShow] = useState<boolean>(false);

    const toggle = () => {
        setShow(!show);
    };

    return (
        <sidebarContext.Provider value={{ show, toggle }}>
            {children}
        </sidebarContext.Provider>
    );
};

export { sidebarContext };
export default SidebarProvider;