import { useContext, useEffect } from "react";
import { PreviewContext } from "./PreviewProvider";
import { useSearchParams } from "react-router-dom";
import { userContext } from "../shared/UserProvider";


export function usePreview() {
    const { preview, setPreview } = useContext(PreviewContext);
    const { user } = useContext(userContext);
    const [searchParams] = useSearchParams();

    const previewParameter = searchParams.get('preview');

    useEffect(() => {
        if (previewParameter !== null && user.permissions.admin) {
            setPreview(true);
        }
    }, [previewParameter, setPreview, user]);

    return preview;
}