"""update a few nren names

Revision ID: 42a826af0431
Revises: 049353edaa79
Create Date: 2023-05-23 17:02:26.020102

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = '42a826af0431'
down_revision = '049353edaa79'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("UPDATE nren SET name='ANAS' WHERE name='AzScienceNet'")
    op.execute("UPDATE nren SET name='GRNET' WHERE name='GRNET S.A.'")
    op.execute("UPDATE nren SET name='Restena' WHERE name='RESTENA'")
    op.execute("UPDATE nren SET name='University of Malta' WHERE name='UoM'")
    op.execute("UPDATE nren SET name='DeiC' WHERE name='DeIC'")
    op.execute("UPDATE nren SET name='CSC' WHERE name='Funet'")
    op.execute("UPDATE nren SET name='Sikt' WHERE name='SIKT'")

    # also remove some obviously invalid datapoints that may have been imported using an old publisher
    op.execute(
        "DELETE FROM budgets WHERE year = 2013 AND nren_id IN ("
        "  SELECT id FROM nren WHERE UPPER(name) IN ('JISC')"
        ")"
    )
    op.execute(
        "DELETE FROM budgets WHERE year = 2014 AND nren_id IN ("
        "  SELECT id FROM nren WHERE UPPER(name) IN ('GARR')"
        ")"
    )
    op.execute(
        "DELETE FROM budgets WHERE year = 2022 AND nren_id IN ("
        "  SELECT id FROM nren WHERE UPPER(name) IN ('BREN')"
        ")"
    )


def downgrade():
    op.execute("UPDATE nren SET name='AzScienceNet' WHERE name='ANAS'")
    op.execute("UPDATE nren SET name='GRNET S.A.' WHERE name='GRNET'")
    op.execute("UPDATE nren SET name='RESTENA' WHERE name='Restena'")
    op.execute("UPDATE nren SET name='UoM' WHERE name='University of Malta'")
    op.execute("UPDATE nren SET name='DeIC' WHERE name='DeiC'")
    op.execute("UPDATE nren SET name='Funet' WHERE name='CSC'")
    op.execute("UPDATE nren SET name='SIKT' WHERE name='Sikt'")
