"""Add policy table

Revision ID: 73e493fe7415
Revises: 35a343afaf83
Create Date: 2023-05-09 16:01:43.504993

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '73e493fe7415'
down_revision = '35a343afaf83'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'policy',
        sa.Column('nren_id', sa.Integer(), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('strategic_plan', sa.String(), nullable=False),
        sa.Column('environmental', sa.String(), nullable=False),
        sa.Column('equal_opportunity', sa.String(), nullable=False),
        sa.Column('connectivity', sa.String(), nullable=False),
        sa.Column('acceptable_use', sa.String(), nullable=False),
        sa.Column('privacy_notice', sa.String(), nullable=False),
        sa.Column('data_protection', sa.String(), nullable=False),
        sa.ForeignKeyConstraint(['nren_id'], ['nren.id'], name=op.f('fk_policy_nren_id_nren')),
        sa.PrimaryKeyConstraint('nren_id', 'year', name=op.f('pk_policy'))
    )

    # alembic doesnt handle postgres enums properly: https://github.com/sqlalchemy/alembic/issues/278
    # so lets fix it by hand:
    op.execute('ALTER TYPE fee_type RENAME TO feetype;')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute('ALTER TYPE feetype RENAME TO fee_type;')

    op.drop_table('policy')
    # ### end Alembic commands ###
