from setuptools import setup, find_packages

setup(
    name='compendium-v2',
    version="0.37",
    author='GEANT',
    author_email='swd@geant.org',
    description='Flask and React project for displaying '
                'Compendium related reports and survey',
    url='https://gitlab.geant.org/geant-swd/compendium-v2',
    packages=find_packages(),
    install_requires=[
        'alembic~=1.10',
        'alembic-postgresql-enum~=0.1',
        'click~=8.1',
        'jsonschema~=4.17',
        'flask~=2.2',
        'flask-cors~=3.0',
        'flask-migrate~=4.0',
        'flask-sqlalchemy~=3.0',
        'openpyxl~=3.1',
        'psycopg2-binary~=2.9',
        'SQLAlchemy~=2.0',
        'sentry-sdk[flask]~=1.23',
        'authlib~=1.2',
        'flask-login~=0.6',
        'requests~=2.31'
    ],
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'excel-survey-publisher=compendium_v2.publishers.survey_publisher_legacy_excel:cli',  # noqa
            'db-publisher-2022=compendium_v2.publishers.survey_publisher_old_db_2022:cli',  # noqa
            'conversion=compendium_v2.conversion.conversion:cli',  # noqa
            'dump_survey_model=compendium_v2.migrations.dump_survey_model:cli',  # noqa
        ]
    },
    license='MIT',
    license_files=('LICENSE.txt',),
    classifiers=[
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'License :: OSI Approved :: MIT License',
        'Development Status :: 5 - Production/Stable'
    ],
    python_requires='>=3.6'

)
