import React, { ReactElement } from "react";
import { createBrowserRouter, RouterProvider } from "react-router-dom";

import SurveyManagementComponent from './SurveyManagementComponent';
import UserManagementComponent from './UserManagementComponent';
import SurveyContainerComponent from "./SurveyContainerComponent";
import ExternalPageNavBar from "shared/ExternalPageNavBar"
import UserProvider from "./providers/UserProvider";
import Landing from "./Landing";

const router = createBrowserRouter([
    { path: "survey/admin/surveys", element: <SurveyManagementComponent /> },
    { path: "survey/admin/users", element: <UserManagementComponent /> },
    { path: "survey/admin/inspect/:year", element: <SurveyContainerComponent loadFrom={'/api/response/inspect/'} /> },
    { path: "survey/admin/try/:year", element: <SurveyContainerComponent loadFrom={'/api/response/try/'} /> },
    { path: "survey/response/:year/:nren", element: <SurveyContainerComponent loadFrom={'/api/response/load/'} />},
    { path: "*", element: <Landing /> }
]);

function App(): ReactElement {
    return (
        <div className="app">
            <UserProvider>
                <ExternalPageNavBar />
                <RouterProvider router={router} />
            </UserProvider>
        </div>
    );
}

export default App;
